Subject: Re: [PATCH v2 0/3] contrib/subtree: reduce recursion during split

From: Junio C Hamano <[email-masked]>
Date: Thu, 16 Apr 2026 12:34:52 -0700

Ian Jackson <[email-masked]> writes:

> TBH I was quite surprised, when I reported this bug some time ago, to
> find that git-subtree was written in shell.  If it had been me I would
> probably have used Rust and libgit2.

FWIW, it is my impression that on this mailing list, "git subtree"
is treated as more or less abandonware.  Patches to it often do not
attract any reviewers--- not the original author, nor those who have
subsequently touched it.

If you want to take it over and rewrite it with firmer commitment to
maintain it better (which unfortunately is not a high bar), that may
be appreciated by its users.